Package ghidra.app.util.cparser.C

# Interface CParserConstants

All Known Implementing Classes:
  `CParser`, `CParserTokenManager`

public interface CParserConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ALIGNAS`
  RegularExpression Id.
  `static final int`
  `ALIGNOF`
  RegularExpression Id.
  `static final int`
  `ASM`
  RegularExpression Id.
  `static final int`
  `ASM_SEMI`
  RegularExpression Id.
  `static final int`
  `ASMBLOCK`
  Lexical state.
  `static final int`
  `ASMBLOCKB`
  RegularExpression Id.
  `static final int`
  `ASMBLOCKP`
  RegularExpression Id.
  `static final int`
  `ATTRIBUTE`
  RegularExpression Id.
  `static final int`
  `AUTO`
  RegularExpression Id.
  `static final int`
  `BOOL`
  RegularExpression Id.
  `static final int`
  `BREAK`
  RegularExpression Id.
  `static final int`
  `CASE`
  RegularExpression Id.
  `static final int`
  `CDECL`
  RegularExpression Id.
  `static final int`
  `CHAR`
  RegularExpression Id.
  `static final int`
  `CHARACTER_LITERAL`
  RegularExpression Id.
  `static final int`
  `CONST`
  RegularExpression Id.
  `static final int`
  `CONTINUE`
  RegularExpression Id.
  `static final int`
  `DECIMAL_LITERAL`
  RegularExpression Id.
  `static final int`
  `DECLSPEC`
  RegularExpression Id.
  `static final int`
  `DEFAULT`
  Lexical state.
  `static final int`
  `DFLT`
  RegularExpression Id.
  `static final int`
  `DIGIT`
  RegularExpression Id.
  `static final int`
  `DO`
  RegularExpression Id.
  `static final int`
  `DOUBLE`
  RegularExpression Id.
  `static final int`
  `ELSE`
  RegularExpression Id.
  `static final int`
  `ENUM`
  RegularExpression Id.
  `static final int`
  `EOF`
  End of File.
  `static final int`
  `EXPONENT`
  RegularExpression Id.
  `static final int`
  `EXTENSION`
  RegularExpression Id.
  `static final int`
  `EXTERN`
  RegularExpression Id.
  `static final int`
  `FAR`
  RegularExpression Id.
  `static final int`
  `FASTCALL`
  RegularExpression Id.
  `static final int`
  `FLOAT`
  RegularExpression Id.
  `static final int`
  `FLOATING_POINT_LITERAL`
  RegularExpression Id.
  `static final int`
  `FOR`
  RegularExpression Id.
  `static final int`
  `GOTO`
  RegularExpression Id.
  `static final int`
  `HEX_LITERAL`
  RegularExpression Id.
  `static final int`
  `IDENTIFIER`
  RegularExpression Id.
  `static final int`
  `IF`
  RegularExpression Id.
  `static final int`
  `INLINE`
  RegularExpression Id.
  `static final int`
  `INT`
  RegularExpression Id.
  `static final int`
  `INT16`
  RegularExpression Id.
  `static final int`
  `INT32`
  RegularExpression Id.
  `static final int`
  `INT64`
  RegularExpression Id.
  `static final int`
  `INT8`
  RegularExpression Id.
  `static final int`
  `INTEGER_LITERAL`
  RegularExpression Id.
  `static final int`
  `INTERFACE`
  RegularExpression Id.
  `static final int`
  `LETTER`
  RegularExpression Id.
  `static final int`
  `LINE`
  RegularExpression Id.
  `static final int`
  `LINEALT`
  RegularExpression Id.
  `static final int`
  `LINEBLOCK`
  Lexical state.
  `static final int`
  `LINENUMBER_LITERAL`
  RegularExpression Id.
  `static final int`
  `LONG`
  RegularExpression Id.
  `static final int`
  `NEAR`
  RegularExpression Id.
  `static final int`
  `NORETURN`
  RegularExpression Id.
  `static final int`
  `OBJC`
  Lexical state.
  `static final int`
  `OBJC_DIGIT`
  RegularExpression Id.
  `static final int`
  `OBJC_IDENTIFIER`
  RegularExpression Id.
  `static final int`
  `OBJC_IGNORE`
  RegularExpression Id.
  `static final int`
  `OBJC_LETTER`
  RegularExpression Id.
  `static final int`
  `OBJC_SEMI`
  RegularExpression Id.
  `static final int`
  `OBJC2`
  Lexical state.
  `static final int`
  `OBJC2_END`
  RegularExpression Id.
  `static final int`
  `OBJC2_IGNORE`
  RegularExpression Id.
  `static final int`
  `OCTAL_LITERAL`
  RegularExpression Id.
  `static final int`
  `PACKED`
  RegularExpression Id.
  `static final int`
  `PATH_LITERAL`
  RegularExpression Id.
  `static final int`
  `PCLOSE`
  RegularExpression Id.
  `static final int`
  `PCOLON`
  RegularExpression Id.
  `static final int`
  `PCOMMA`
  RegularExpression Id.
  `static final int`
  `PDECIMAL_LITERAL`
  RegularExpression Id.
  `static final int`
  `PDIGIT`
  RegularExpression Id.
  `static final int`
  `PHEX_LITERAL`
  RegularExpression Id.
  `static final int`
  `PIDENTIFIER`
  RegularExpression Id.
  `static final int`
  `PINTEGER_LITERAL`
  RegularExpression Id.
  `static final int`
  `PLETTER`
  RegularExpression Id.
  `static final int`
  `PMINUS`
  RegularExpression Id.
  `static final int`
  `POCTAL_LITERAL`
  RegularExpression Id.
  `static final int`
  `POPEN`
  RegularExpression Id.
  `static final int`
  `PPLUS`
  RegularExpression Id.
  `static final int`
  `PRAGMA`
  RegularExpression Id.
  `static final int`
  `PRAGMA_FUNC`
  RegularExpression Id.
  `static final int`
  `PRAGMALINE`
  Lexical state.
  `static final int`
  `PROTOCOL`
  RegularExpression Id.
  `static final int`
  `PSTAR`
  RegularExpression Id.
  `static final int`
  `PSTRING_LITERAL`
  RegularExpression Id.
  `static final int`
  `PTR32`
  RegularExpression Id.
  `static final int`
  `PTR64`
  RegularExpression Id.
  `static final int`
  `QUOTE_C`
  RegularExpression Id.
  `static final int`
  `READABLETO`
  RegularExpression Id.
  `static final int`
  `REGISTER`
  RegularExpression Id.
  `static final int`
  `RESTRICT`
  RegularExpression Id.
  `static final int`
  `RETURN`
  RegularExpression Id.
  `static final int`
  `SHORT`
  RegularExpression Id.
  `static final int`
  `SIGNED`
  RegularExpression Id.
  `static final int`
  `SIZEOF`
  RegularExpression Id.
  `static final int`
  `STATIC`
  RegularExpression Id.
  `static final int`
  `STATICASSERT`
  RegularExpression Id.
  `static final int`
  `STDCALL`
  RegularExpression Id.
  `static final int`
  `STRING_LITERAL`
  RegularExpression Id.
  `static final int`
  `STRUCT`
  RegularExpression Id.
  `static final int`
  `SWITCH`
  RegularExpression Id.
  `static final int`
  `THREADLOCAL`
  RegularExpression Id.
  `static final String[]`
  `tokenImage`
  Literal token values.
  `static final int`
  `TYPEDEF`
  RegularExpression Id.
  `static final int`
  `UNALIGNED`
  RegularExpression Id.
  `static final int`
  `UNION`
  RegularExpression Id.
  `static final int`
  `UNSIGNED`
  RegularExpression Id.
  `static final int`
  `VOID`
  RegularExpression Id.
  `static final int`
  `VOLATILE`
  RegularExpression Id.
  `static final int`
  `W64`
  RegularExpression Id.
  `static final int`
  `WHILE`
  RegularExpression Id.

- ## Field Details

  - ### EOF

    static final int EOF
    End of File.
    See Also:
      - Constant Field Values

  - ### INTEGER_LITERAL

    static final int INTEGER_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DECIMAL_LITERAL

    static final int DECIMAL_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### HEX_LITERAL

    static final int HEX_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OCTAL_LITERAL

    static final int OCTAL_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FLOATING_POINT_LITERAL

    static final int FLOATING_POINT_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXPONENT

    static final int EXPONENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CHARACTER_LITERAL

    static final int CHARACTER_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STRING_LITERAL

    static final int STRING_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONTINUE

    static final int CONTINUE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### VOLATILE

    static final int VOLATILE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REGISTER

    static final int REGISTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNSIGNED

    static final int UNSIGNED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TYPEDEF

    static final int TYPEDEF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DFLT

    static final int DFLT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DOUBLE

    static final int DOUBLE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SIZEOF

    static final int SIZEOF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SWITCH

    static final int SWITCH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RETURN

    static final int RETURN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXTERN

    static final int EXTERN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### QUOTE_C

    static final int QUOTE_C
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STRUCT

    static final int STRUCT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STATIC

    static final int STATIC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### THREADLOCAL

    static final int THREADLOCAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SIGNED

    static final int SIGNED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WHILE

    static final int WHILE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BREAK

    static final int BREAK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNION

    static final int UNION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONST

    static final int CONST
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CDECL

    static final int CDECL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DECLSPEC

    static final int DECLSPEC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PRAGMA

    static final int PRAGMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PRAGMA_FUNC

    static final int PRAGMA_FUNC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### READABLETO

    static final int READABLETO
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STDCALL

    static final int STDCALL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FASTCALL

    static final int FASTCALL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NORETURN

    static final int NORETURN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ALIGNAS

    static final int ALIGNAS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ALIGNOF

    static final int ALIGNOF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNALIGNED

    static final int UNALIGNED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PACKED

    static final int PACKED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE

    static final int ATTRIBUTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXTENSION

    static final int EXTENSION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RESTRICT

    static final int RESTRICT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ASM

    static final int ASM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INLINE

    static final int INLINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STATICASSERT

    static final int STATICASSERT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FLOAT

    static final int FLOAT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SHORT

    static final int SHORT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ELSE

    static final int ELSE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CASE

    static final int CASE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LONG

    static final int LONG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INT8

    static final int INT8
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INT16

    static final int INT16
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INT32

    static final int INT32
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INT64

    static final int INT64
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PTR64

    static final int PTR64
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PTR32

    static final int PTR32
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BOOL

    static final int BOOL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### W64

    static final int W64
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ENUM

    static final int ENUM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AUTO

    static final int AUTO
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### VOID

    static final int VOID
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CHAR

    static final int CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GOTO

    static final int GOTO
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NEAR

    static final int NEAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FAR

    static final int FAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FOR

    static final int FOR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INT

    static final int INT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IF

    static final int IF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DO

    static final int DO
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PROTOCOL

    static final int PROTOCOL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INTERFACE

    static final int INTERFACE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LINE

    static final int LINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LINEALT

    static final int LINEALT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IDENTIFIER

    static final int IDENTIFIER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LETTER

    static final int LETTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DIGIT

    static final int DIGIT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ASMBLOCKB

    static final int ASMBLOCKB
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ASMBLOCKP

    static final int ASMBLOCKP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ASM_SEMI

    static final int ASM_SEMI
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PATH_LITERAL

    static final int PATH_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LINENUMBER_LITERAL

    static final int LINENUMBER_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PIDENTIFIER

    static final int PIDENTIFIER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PLETTER

    static final int PLETTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PDIGIT

    static final int PDIGIT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### POPEN

    static final int POPEN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PCLOSE

    static final int PCLOSE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PMINUS

    static final int PMINUS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PPLUS

    static final int PPLUS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PSTAR

    static final int PSTAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PCOLON

    static final int PCOLON
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PCOMMA

    static final int PCOMMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PINTEGER_LITERAL

    static final int PINTEGER_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PDECIMAL_LITERAL

    static final int PDECIMAL_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PHEX_LITERAL

    static final int PHEX_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### POCTAL_LITERAL

    static final int POCTAL_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PSTRING_LITERAL

    static final int PSTRING_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OBJC_IGNORE

    static final int OBJC_IGNORE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OBJC_IDENTIFIER

    static final int OBJC_IDENTIFIER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OBJC_LETTER

    static final int OBJC_LETTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OBJC_DIGIT

    static final int OBJC_DIGIT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OBJC_SEMI

    static final int OBJC_SEMI
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OBJC2_IGNORE

    static final int OBJC2_IGNORE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OBJC2_END

    static final int OBJC2_END
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    static final int DEFAULT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### ASMBLOCK

    static final int ASMBLOCK
    Lexical state.
    See Also:
      - Constant Field Values

  - ### LINEBLOCK

    static final int LINEBLOCK
    Lexical state.
    See Also:
      - Constant Field Values

  - ### PRAGMALINE

    static final int PRAGMALINE
    Lexical state.
    See Also:
      - Constant Field Values

  - ### OBJC

    static final int OBJC
    Lexical state.
    See Also:
      - Constant Field Values

  - ### OBJC2

    static final int OBJC2
    Lexical state.
    See Also:
      - Constant Field Values

  - ### tokenImage

    static final String[] tokenImage
    Literal token values.